# pwaPromptInstall

`pwaPromptInstall` triggers the install prompt previously captured by `pwaCustomInstall`.

## Action Object

| Key                   | Type       | Description                                             |
| --------------------- | ---------- | ------------------------------------------------------- |
| `action`              | `string`   | Must be `"pwaPromptInstall"`                            |
| `options.onAccepted`  | `function` | Optional callback after the user accepts installation   |
| `options.onDismissed` | `function` | Optional callback after the user dismisses installation |

## Example

```json
{
  "action": "pwaPromptInstall"
}
```

## Behavior Notes

* This action uses `window.deferredPrompt`, so it should normally be paired with `pwaCustomInstall`.
* If the user accepts the install prompt, BetterForms calls `options.onAccepted()` when provided.
* If the user dismisses the install prompt, BetterForms calls `options.onDismissed()` when provided.
* After the prompt is handled, BetterForms clears `window.deferredPrompt`.

## Related Pages

* [pwaCustomInstall](/reference/actions-processor/actions_overview/pwacustominstall.md)
* [Creating a PWA](/reference/apis-and-services/integrations/creating-a-pwa.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/reference/actions-processor/actions_overview/pwapromptinstall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
